Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Protected Member Functions | Protected Attributes
Lucene::SyncLock Class Reference

Utility class to support scope locking. More...

`#include <Synchronize.h>`

## Public Member Functions

| SyncLock (SynchronizePtr sync, int32_t timeout=0)
template<class OBJECT >
| SyncLock (OBJECT object, int32_t timeout=0)
virtual | ~SyncLock ()

## Protected Member Functions

void | lock (int32_t timeout)

## Protected Attributes

SynchronizePtr | sync

## Detailed Description

Utility class to support scope locking.

## Constructor & Destructor Documentation

Lucene::SyncLock::SyncLock | ( | SynchronizePtr | sync,
|  | int32_t | timeout = `0`
| ) |  |

template<class OBJECT >

Lucene::SyncLock::SyncLock | ( | OBJECT | object,
|  | int32_t | timeout = `0`
| ) |  |

inline

virtual Lucene::SyncLock::~SyncLock | ( | ) |  |

virtual

## Member Function Documentation

void Lucene::SyncLock::lock | ( | int32_t | timeout) |  |

protected

## Field Documentation

SynchronizePtr Lucene::SyncLock::sync

protected

The documentation for this class was generated from the following file:

- Synchronize.h

clucene.sourceforge.net